Subject: bug#44904: closed (Re: bug#44904: Zip file deleted despite exit with warning.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 01 Dec 2020 04:05:02 +0000

Your bug report

#44904: Zip file deleted despite exit with warning.

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44904: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44904
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44904: Zip file deleted despite exit with warning.
From: Paul Eggert <[email-masked]>
To: Jason Robertson <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Nov 2020 20:03:56 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 11/30/20 6:25 AM, Jason Robertson wrote:
> I can't email foo.zip because it got deleted. 🙁

OK, thanks, if we can't reproduce the problem I'll close the bug report. We can 
reopen it later if needed.

Subject: Zip file deleted despite exit with warning.
From: Jason Robertson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 27 Nov 2020 16:27:07 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello:

I'm decompressing some very important files as we speak, and while attempting to do so, it returned a warning that "entries after the first were ignored" and failed to output any useful files. The sample usage was:

gzip -d foo.zip

This returned only a single, small, corrupted file called "foo." Now, I only see one entry there, and Googling the problem really didn't help. More to the point, though...the first time I did this foo.zip was deleted. Which is a problem since, as I mentioned, these are important files. Upon further examination, I see that the -k is necessary to prevent this from happening, but I'm surprised that a) default behaviour is to delete files after usage, and b) it would do so even after a warning or error? This latter behaviour is what I perceive to be a bug, above all else, though I find the default behaviour in general to be baffling and unintuitive.

Thanks in advance.

Jason W. Robertson, Ph.D. (he/him)
Research Associate, Brain Networks and Neurophysiology Lab
Department of Anaesthesia, Pain Management, and Perioperative Medicine
Dalhousie University
Halifax, Nova Scotia, Canada
Email: [email-masked]